Syndai Docs

Turn off the flag an incident offers

POST
/api/v1/external/coding/customers/{customer_id}/projects/{project_id}/alerts/incidents/{incident_id}/flags/{key}/kill

The incident's "Turn off ": the flag changed in the incident's window and is still on, so its kill switch is offered (flag_kill_offered on the timeline). This turns it off at once (every provider serves the default within 30 s), versions the change and records flag_killed. 404 when the incident offers no such flag.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

customer_id*string
Formatuuid
project_id*string
Formatuuid
incident_id*string
Formatuuid
key*string

Response Body

Request fulfilled, document follows

application/json
  1. response
incidents*array<>
monitors?array<>
rules*array<>
site_id?|null
Example Request
curl -X POST 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/alerts/incidents/497f6eca-6276-4993-bfeb-53cbbbba6f08/flags/string/kill'
Example Response
{  "incidents": [    {      "acked_at": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "metric": "string",      "opened_at": "string",      "resolved_at": "string",      "rule_key": "string",      "snapshot": {},      "state": "string",      "summary": "string",      "timeline": [        {}      ],      "title": "string",      "trusted": true    }  ],  "monitors": [    {      "every_s": 0,      "grace_s": 0,      "last_fail_at": "string",      "last_ok_at": "string",      "name": "string"    }  ],  "rules": [    {      "fire_at": 0,      "firing": true,      "key": "string",      "kind": "string",      "last_value": 0,      "metric": "string",      "muted": true,      "params": {},      "title": "string"    }  ],  "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811"}
Was this page helpful?